package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class AnggaranRemunerasiVO extends BaseTransactionVO {

	@Caption(value = "Tahun")
	private Date tahun;

	@Caption(value = "Total Nilai Jabatan")
	private Long totalNilaiJabatan;

	@Caption(value = "Anggaran Remunerasi Tahunan")
	private Double anggaranRemunTahun;

	@Caption(value = "Anggaran Remunerasi Bulanan")
	private Double anggaranRemunBulan;

	@Caption(value = "Poin Indeks Rupiah")
	private Double poinIndeksRupiah;

	@Caption(value = "Grade")
	private GradeRemunerasiVO grade;

	private Integer gradeId;

	@Caption(value = "Gaji Honorarium")
	private Double gajiHonorarium;

	@Caption(value = "Minimal Insentif")
	private Double minInsentif;

	@Caption(value = "Maksimal Insentif")
	private Double maxInsentif;

	@Caption(value = "Maksimal Total Remunerasi")
	private Double maxTotalRemunerasi;

	@Caption(value = "Tanggal Pembaharuan Data")
	private Date tanggalPembaharuanData;

	private Integer loginUserId;

	public Date getTahun() {
		return tahun;
	}

	public void setTahun(Date tahun) {
		this.tahun = tahun;
	}

	public Long getTotalNilaiJabatan() {
		return totalNilaiJabatan;
	}

	public void setTotalNilaiJabatan(Long totalNilaiJabatan) {
		this.totalNilaiJabatan = totalNilaiJabatan;
	}

	public Double getAnggaranRemunTahun() {
		return anggaranRemunTahun;
	}

	public void setAnggaranRemunTahun(Double anggaranRemunTahun) {
		this.anggaranRemunTahun = anggaranRemunTahun;
	}

	public Double getAnggaranRemunBulan() {
		return anggaranRemunBulan;
	}

	public void setAnggaranRemunBulan(Double anggaranRemunBulan) {
		this.anggaranRemunBulan = anggaranRemunBulan;
	}

	public Double getPoinIndeksRupiah() {
		return poinIndeksRupiah;
	}

	public void setPoinIndeksRupiah(Double poinIndeksRupiah) {
		this.poinIndeksRupiah = poinIndeksRupiah;
	}

	public GradeRemunerasiVO getGrade() {
		return grade;
	}

	public void setGrade(GradeRemunerasiVO grade) {
		this.grade = grade;
	}

	public Integer getGradeId() {
		return gradeId;
	}

	public void setGradeId(Integer gradeId) {
		this.gradeId = gradeId;
	}

	public Double getGajiHonorarium() {
		return gajiHonorarium;
	}

	public void setGajiHonorarium(Double gajiHonorarium) {
		this.gajiHonorarium = gajiHonorarium;
	}

	public Double getMinInsentif() {
		return minInsentif;
	}

	public void setMinInsentif(Double minInsentif) {
		this.minInsentif = minInsentif;
	}

	public Double getMaxInsentif() {
		return maxInsentif;
	}

	public void setMaxInsentif(Double maxInsentif) {
		this.maxInsentif = maxInsentif;
	}

	public Double getMaxTotalRemunerasi() {
		return maxTotalRemunerasi;
	}

	public void setMaxTotalRemunerasi(Double maxTotalRemunerasi) {
		this.maxTotalRemunerasi = maxTotalRemunerasi;
	}

	public Date getTanggalPembaharuanData() {
		return tanggalPembaharuanData;
	}

	public void setTanggalPembaharuanData(Date tanggalPembaharuanData) {
		this.tanggalPembaharuanData = tanggalPembaharuanData;
	}

	public Integer getLoginUserId() {
		return loginUserId;
	}

	public void setLoginUserId(Integer loginUserId) {
		this.loginUserId = loginUserId;
	}

}
